
---------------------------------------------------------------------------------
-- Drop triggers no longer needed
---------------------------------------------------------------------------------
DROP TRIGGER TRU_ALERT_TYPE;
DROP TRIGGER TRD_ALERT_TYPE;
DROP TRIGGER TRI_ALERT_TYPE;

---------------------------------------------------------------------------------
-- Drop table no longer needed
---------------------------------------------------------------------------------
DROP TABLE FSX_ALERT_TYPE;

---------------------------------------------------------------------------------
-- Alter FCM_ALERT_TYPE table, Add Column, populate values, reorg
---------------------------------------------------------------------------------
ALTER TABLE FCM_ALERT_TYPE ADD COLUMN LOCAL_DEMO_ALERT_TYPE CHAR(1) ;
UPDATE FCM_ALERT_TYPE SET    LOCAL_DEMO_ALERT_TYPE ='A' WHERE ALERT_TYPE = 'A';
UPDATE FCM_ALERT_TYPE SET    LOCAL_DEMO_ALERT_TYPE ='C' WHERE ALERT_TYPE = 'C';
UPDATE FCM_ALERT_TYPE SET    LOCAL_DEMO_ALERT_TYPE ='X' WHERE ALERT_TYPE = 'H';
UPDATE FCM_ALERT_TYPE SET    LOCAL_DEMO_ALERT_TYPE ='O' WHERE ALERT_TYPE = 'O';
UPDATE FCM_ALERT_TYPE SET    LOCAL_DEMO_ALERT_TYPE ='P' WHERE ALERT_TYPE = 'P';
UPDATE FCM_ALERT_TYPE SET    LOCAL_DEMO_ALERT_TYPE ='X' WHERE ALERT_TYPE = 'W';
UPDATE FCM_ALERT_TYPE SET    LOCAL_DEMO_ALERT_TYPE ='X' WHERE ALERT_TYPE = 'X';
ALTER TABLE FCM_ALERT_TYPE ALTER COLUMN LOCAL_DEMO_ALERT_TYPE SET NOT NULL ;
REORG TABLE FCM_ALERT_TYPE;


ALTER TABLE FMX_JOB  ALTER COLUMN JOB_ID DROP IDENTITY;
REORG TABLE FMX_JOB;

ALTER TABLE FCM_GRID_TRANS_ACTIVITY  ALTER COLUMN TRANS_ACTIVITY_NAME SET DATA TYPE CHARACTER(48);
REORG TABLE FCM_GRID_TRANS_ACTIVITY;

ALTER TABLE FCM_GRID_TMPLT_FIELD_CFG  ALTER COLUMN GRID_FIELD_HEADER SET DATA TYPE VARCHAR(100);
REORG TABLE FCM_GRID_TMPLT_FIELD_CFG;

ALTER TABLE FCM_FIELD_DEFINITION  ALTER COLUMN FIELD_BUSINESSNAME_EDIT SET DATA TYPE VARCHAR(100);
REORG TABLE FCM_FIELD_DEFINITION;
