---------------------------------------------------------------------------------
-- For Range Partitioned table
-- Replace [index_tablespace] with the appropriate index tablespace name 
-- and uncomment the line
-- Also uncomment the line NOT PARTITIONED
---------------------------------------------------------------------------------

CREATE INDEX NDX5_NAMP ON FCM_NAMP 
		(XQO_CUST_NUM ASC,
		 SMH_MULTI_ORG_ID ASC,
		 SMH_ACCT_TYPE ASC,
		 SMH_ACTIVITY_TYPE ASC)
		-- NOT PARTITIONED
		--IN [index_tablespace]
		PCTFREE 10 ALLOW REVERSE SCANS;

CREATE INDEX NDX7_NAMP ON FCM_NAMP 
		(HQO_CARD_NUM ASC,
		 SMH_MULTI_ORG_ID ASC,
		 SMH_ACCT_TYPE ASC,
		 SMH_ACTIVITY_TYPE ASC)
		-- NOT PARTITIONED
		--IN [index_tablespace]
		PCTFREE 10 ALLOW REVERSE SCANS;

CREATE INDEX NDX8_NAMP ON FCM_NAMP 
		(HQO_OB_USERID ASC,
		 SMH_MULTI_ORG_ID ASC,
		 SMH_ACCT_TYPE ASC,
		 SMH_ACTIVITY_TYPE ASC)
		-- NOT PARTITIONED
		--IN [index_tablespace]
		PCTFREE 10 ALLOW REVERSE SCANS;

CREATE INDEX NDX9_NAMP ON FCM_NAMP 
		(HQO_PB_USERID ASC,
		 SMH_MULTI_ORG_ID ASC,
		 SMH_ACCT_TYPE ASC,
		 SMH_ACTIVITY_TYPE ASC)
		-- NOT PARTITIONED
		--IN [index_tablespace]
		PCTFREE 10 ALLOW REVERSE SCANS;

